GMX-TRJORDER(1)

NAME
gmx-trjorder - Order molecules according to their distance to a group

SYNOPSIS

gmx trjorder [-f [<.xtc/.trr/...>]] [-s [<.tpr/.gro/...>]] [-n [<.ndx>]]
             [-o [<.xtc/.trr/...>]] [-nshell [<.xvg>]] [-b <time>]
             [-e <time>] [-dt <time>] [-xvg <enum>] [-na <int>]
             [-da <int>] [-[no]com] [-r <real>] [-[no]z]

DESCRIPTION

gmx trjorder orders molecules according to the smallest distance to atoms in a reference group or on z-coordinate (with option -z). With distance ordering, it will ask for a group of reference atoms and a group of molecules. For each frame of the trajectory the selected molecules will be reordered according to the shortest distance between atom number -da in the molecule and all the atoms in the reference group. The center of mass of the molecules can be used instead of a reference atom by setting -da to 0. All atoms in the trajectory are written to the output trajectory.

gmx trjorder can be useful for e.g. analyzing the n waters closest to a protein. In that case the reference group would be the protein and the group of molecules would consist of all the water atoms. When an index group of the first n waters is made, the ordered trajectory can be used with any GROMACS program to analyze the n closest waters.

If the output file is a .pdb file, the distance to the reference target will be stored in the B-factor field in order to color with e.g. Rasmol.

With option -nshell the number of molecules within a shell of radius -r around the reference group are printed.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-s [<.tpr/.gro/…>] (topol.tpr)
    Structure+mass(db): tpr gro g96 pdb brk ent

-n [<.ndx>] (index.ndx) (Optional)
    Index file

    Options to specify output files:

-o [<.xtc/.trr/…>] (ordered.xtc) (Optional)
    Trajectory: xtc trr gro g96 pdb tng

-nshell [<.xvg>] (nshell.xvg) (Optional)
    xvgr/xmgr file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-na <int> (3)
    Number of atoms in a molecule

-da <int> (1)
    Atom used for the distance calculation, 0 is COM

-[no]com (no)
    Use the distance to the center of mass of the reference group

-r <real> (0)
    Cutoff used for the distance calculation when computing the number of molecules in a shell around e.g. a protein

-[no]z (no)
    Order molecules on z-coordinate

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team